pymongo
python-dotenv
pydantic
jieba
openai
aiohttp
requests
urllib3
numpy
pandas
matplotlib
networkx
python-dateutil
APScheduler
loguru
tomli
tomlkit
customtkinter
Pillow
colorama
pypinyin
dotenv
setuptools
ruff
gradio
toml
scipy
websockets
fastapi
uvicorn